function [ DxDxg ] = DxDxAllUppLevEqConstrs(obj, x )
    %DxDxg=DxDxAllUppLevEqConstrs(x) returns the seccond derivative of the
    %function evalAllUppLevEqConstrs with respect to x. 

    DxDxg=zeros(0,obj.nrOfUppLevVars,obj.nrOfUppLevVars);
    if obj.getNrUppLevNonlinEqs>0
        DxDxg=obj.DxDxUppLevNonlinEqConstrs(x);
    end
    
    %Add the linear constraints    
    [A,b]=obj.getLinEqsOnUppLevVars;
    nrLinEqs=size(A,1);
    if nrLinEqs>0
        DxDxg=[DxDxg;zeros(nrLinEqs,obj.nrOfUppLevVars,obj.nrOfUppLevVars)]; 
    end
    
    
   
    

end